###############################################################################
# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
# 
# ident	"@(#)opencard.properties	1.45	04/12/13 SMI"
#
##############################################################################
# Copyright � 1997, 1998 IBM Corporation.
# 
# Redistribution and use in source (source code) and binary (object code)
# forms, with or without modification, are permitted provided that the
# following conditions are met:
# 1. Redistributed source code must retain the above copyright notice, this
# list of conditions and the disclaimer below.
# 2. Redistributed object code must reproduce the above copyright notice,
# this list of conditions and the disclaimer below in the documentation
# and/or other materials provided with the distribution.
# 3. The name of IBM may not be used to endorse or promote products derived
# from this software or in any other form without specific prior written
# permission from IBM.
# 4. Redistribution of any modified code must be labeled "Code derived from
# the original OpenCard Framework".
# 
# THIS SOFTWARE IS PROVIDED BY IBM "AS IS" FREE OF CHARGE. IBM SHALL NOT BE
# LIABLE FOR INFRINGEMENTS OF THIRD PARTIES RIGHTS BASED ON THIS SOFTWARE.  ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED.  IBM DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED IN THIS
# SOFTWARE WILL MEET THE USER'S REQUIREMENTS OR THAT THE OPERATION OF IT WILL
# BE UNINTERRUPTED OR ERROR-FREE.  IN NO EVENT, UNLESS REQUIRED BY APPLICABLE
# LAW, SHALL IBM BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  ALSO, IBM IS UNDER NO OBLIGATION
# TO MAINTAIN, CORRECT, UPDATE, CHANGE, MODIFY, OR OTHERWISE SUPPORT THIS
# SOFTWARE.

###############################################################################
# Opencard Parameters
##############################################################################

#######################
#	Card Services 
#######################
OpenCard.services = com.sun.opencard.service.cyberflex.CyberFlexServiceFactory com.sun.opencard.service.ibutton.IButtonServiceFactory com.sun.opencard.service.payflex.PayFlexServiceFactory

#######################
#	Card terminals 
#######################
#OpenCard.terminals = com.sun.opencard.terminal.scm.SCMStc.SCMStcCardTerminalFactory|SunSmartCardReader|SunSCRI|/dev/cua/a com.ibutton.oc.terminal.jib.iButtonCardTerminalFactory|iButtonAdapter|DS1402|/dev/cua/b

#######################
# Trace configuration #
#######################
#OpenCard.trace = com.sun:9 opencard:9

##############################################################################
# OCF Server Configuration Parameters
# An Example is 
# ocf.server.propertiesfilelocation		/etc/smartcard
##############################################################################

ocf.server.debugging                      0
ocf.server.debugging.filename		  /var/run/ocf.log

ocf.server.initializerlocations	        com.sun.opencard.cmd.IButtonInit

ocf.server.authmechanism	        Pin Password

ocf.server.ocfserv.protocol 		rpc
ocf.server.IButton.ATR			008F0E0000000000000000000004000034909000
ocf.server.CyberFlex.ATR		3B169481100601810F 3B169481100601811F
ocf.server.PayFlex.ATR			3B6900005792020101000100A9 3B69110000005792020101000100

##############################################################################
# OCF Client Configuration Parameters
# Example is
#ocf.client.default.defaultcard                  CyberFlex
#ocf.client.default.defaultreader                SCM
##############################################################################

ocf.client.default.defaultaid                	A000000062030400
ocf.client.default.authmechanism                Pin=UserPin
ocf.client.default.validcards                   CyberFlex IButton PayFlex
